org.appng.xml.platform

## Class DatasourceRef

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.DatasourceRef

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TestBase.DataSourceCall

      public class DatasourceRef
      extends BaseObject
      implements Serializable

  A reference to a `Datasource`. It depends on the `Condition` and `Permissions` whether or not the referenced `Datasource` is being included to the page.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Condition` | `condition`
    `protected String` | `id`
    `protected String` | `mode`
    `protected Integer` | `pageSize`
    `protected Params` | `params`
    `protected Permissions` | `permissions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatasourceRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Condition` | `getCondition()` Gets the value of the condition property.
    `String` | `getId()` The unique id of the referenced `Datasource`.
    `String` | `getMode()` If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
    `Integer` | `getPageSize()` The default page size for the datasource
    `Params` | `getParams()` Gets the value of the params property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `void` | `setCondition(Condition value)` Sets the value of the condition property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMode(String value)` Sets the value of the mode property.
    `void` | `setPageSize(Integer value)` Sets the value of the pageSize property.
    `void` | `setParams(Params value)` Sets the value of the params property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected Params params

    - #### condition

          protected Condition condition

    - #### permissions

          protected Permissions permissions

    - #### id

          protected String id

    - #### mode

          protected String mode

    - #### pageSize

          protected Integer pageSize

  - ### Constructor Detail

    - #### DatasourceRef

          public DatasourceRef()

  - ### Method Detail

    - #### getParams

          public Params getParams()

      Gets the value of the params property.
      Returns:
        possible object is `Params`

    - #### setParams

          public void setParams(Params value)

      Sets the value of the params property.
      Parameters:
        `value` - allowed object is `Params`

    - #### getCondition

          public Condition getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `Condition`

    - #### setCondition

          public void setCondition(Condition value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `Condition`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getId

          public String getId()

      The unique id of the referenced `Datasource`.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMode

          public String getMode()

      If the appNG-template or the application's custom templating supports some custom display mode(s), the mode can be used to control this custom behavior.
      Returns:
        possible object is `String`

    - #### setMode

          public void setMode(String value)

      Sets the value of the mode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPageSize

          public Integer getPageSize()

      The default page size for the datasource
      Returns:
        possible object is `Integer`

    - #### setPageSize

          public void setPageSize(Integer value)

      Sets the value of the pageSize property.
      Parameters:
        `value` - allowed object is `Integer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.